package httpx

import "net/http"

// Request :
type Request struct {
	raw *http.Request
}

// Get :
func (r *Request) Get(u string) (*Response, error) {
	return &Response{raw: &http.Response{}}, nil
}

// Response :
type Response struct {
	raw *http.Response
}

// Client :
type Client struct {
	raw *http.Client
}

// R :
func (c *Client) R() *Request {
	return &Request{raw: &http.Request{}}
}

// C :
func C() *Client {
	return &Client{raw: &http.Client{}}
}
